import request from '@/utils/request'

// 根据用户id列表获取用户信息
export function getUserByIds(ids) {
  return request({
    url: '/app/user/getByIds/' + ids,
    method: 'get',
  })
}

// 给用户绑定客服
export function bindUserCusByIds(data) {
  return request({
    url: '/vip/userCusRole/bind',
    method: 'post',
    data: data
  })
}

// 给用户解绑客服
export function unbindUserCusByIds(data) {
  return request({
    url: '/vip/userCusRole/unbind',
    method: 'post',
    data: data
  })
}

// 给用户绑定客服v2
export function bindUserCusByIdsV2(data) {
  return request({
    url: '/vip/userCusRole/bind/v2',
    method: 'post',
    data: data
  })
}

// 给用户解绑客服v2
export function unbindUserCusByIdsV2(data) {
  return request({
    url: '/vip/userCusRole/unbind/v2',
    method: 'post',
    data: data
  })
}

// 用户获取列表
export function listAppUser(data) {
  return request({
    url: '/app/user/findList',
    method: 'get',
    params: data
  })
}

// 用户导出列表
export function exportAppUser(data) {
  return request({
    url: '/app/user/export',
    method: 'get',
    params: data
  })
}

